VkPipelineColorBlendStateCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineColorBlendStateCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineColorBlendStateCreateFlags | flags
VkBool32 | logicOpEnable
VkLogicOp | logicOp
uint32_t | attachmentCount
const VkPipelineColorBlendAttachmentState * | pAttachments
float | blendConstants [4]

## Detailed Description

Definition at line 2078 of file vulkan.h.

## Field Documentation

## attachmentCount

uint32_t VkPipelineColorBlendStateCreateInfo::attachmentCount

Definition at line 2084 of file vulkan.h.

## blendConstants

float VkPipelineColorBlendStateCreateInfo::blendConstants[4]

Definition at line 2086 of file vulkan.h.

## flags

VkPipelineColorBlendStateCreateFlags VkPipelineColorBlendStateCreateInfo::flags

Definition at line 2081 of file vulkan.h.

## logicOp

VkLogicOp VkPipelineColorBlendStateCreateInfo::logicOp

Definition at line 2083 of file vulkan.h.

## logicOpEnable

VkBool32 VkPipelineColorBlendStateCreateInfo::logicOpEnable

Definition at line 2082 of file vulkan.h.

## pAttachments

const VkPipelineColorBlendAttachmentState* VkPipelineColorBlendStateCreateInfo::pAttachments

Definition at line 2085 of file vulkan.h.

## pNext

const void* VkPipelineColorBlendStateCreateInfo::pNext

Definition at line 2080 of file vulkan.h.

## sType

VkStructureType VkPipelineColorBlendStateCreateInfo::sType

Definition at line 2079 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h